gnutls_certificate_set_openpgp_key_file(3)

NAME
gnutls_certificate_set_openpgp_key_file - API function

SYNOPSIS
#include <gnutls/openpgp.h>

int gnutls_certificate_set_openpgp_key_file(gnutls_certificate_credentials_t res, const char * certfile, const char * keyfile, gnutls_openpgp_crt_fmt_t format);

ARGUMENTS

gnutls_certificate_credentials_t      res
    the destination context to save the data.

const char * certfile
    the file that contains the public key.

const char * keyfile
    the file that contains the secret key.

gnutls_openpgp_crt_fmt_t format
    the format of the keys

DESCRIPTION
This function is used to load OpenPGP keys into the GnuTLS credentials structure. The file should contain at least one valid non encrypted subkey.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2016 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/